KINFO_GETALLPROC(3)

NAME
kinfo_getallproc - function for getting process information of all processes from kernel

LIBRARY
libutil

SYNOPSIS
#include <sys/types.h>
#include <libutil.h>
struct kinfo_proc *
kinfo_getallproc(int *cntp);

DESCRIPTION
This function is used for obtaining process information of all processes from the kernel.

The cntp field is a pointer containing the number of process structures returned. This function is a wrapper around sysctl(3) with the KERN_PROC_PROC mib. While the kernel returns a packed structure, this function expands the data into a fixed record format.

RETURN VALUES
On success the kinfo_getallproc() function returns a pointer to cntp struct kinfo_proc structures as defined by <sys/user.h>. The pointer was obtained by an internal call to malloc(3) and must be freed by the caller with a call to free(3). On failure the kinfo_getallproc() function returns NULL.

SEE ALSO
free(3), malloc(3), sysctl(3)